<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.system.model.SystemServiceEndpoint" table="system_service_endpoint">
        <id name="id" type="java.lang.String">
            <column name="id" length="50" />
            <generator class="uuid" />
        </id>
        <property name="code" type="java.lang.String">
            <column name="code" length="50">
                <comment>服务编码</comment>
            </column>
        </property>
        <property name="name" type="java.lang.String">
            <column name="name" length="50" not-null="true">
                <comment>服务名称</comment>
            </column>
        </property>
        <property name="version" type="java.lang.String">
            <column name="version" length="50">
                <comment>版本</comment>
            </column>
        </property>
        <property name="description" type="java.lang.String">
            <column name="description" length="200">
                <comment>描述</comment>
            </column>
        </property>
        <property name="endpoint" type="java.lang.String">
            <column name="endpoint" length="50">
                <comment>端点</comment>
            </column>
        </property>
        <property name="requestProtocol" type="java.lang.String">
            <column name="request_protocol" length="10">
                <comment>调用协议</comment>
            </column>
        </property>
        <property name="requestParameterList" type="java.lang.String">
            <column name="request_parameter_list" length="200">
                <comment>请求参数</comment>
            </column>
        </property>

        <property name="requesModule" type="java.lang.String">
            <column name="request_module" length="50">
                <comment>请求模块，用于RPC</comment>
            </column>
        </property>
        <property name="requestMethod" type="java.lang.String">
            <column name="request_method" length="200">
                <comment>请求方法</comment>
            </column>
        </property>
        <property name="responeResult" type="java.lang.String">
            <column name="respone_result" length="200">
                <comment>返回值结果说明</comment>
            </column>
        </property>
        <property name="responeError" type="java.lang.String">
            <column name="respone_error" length="50">
                <comment>返回值错误说明</comment>
            </column>
        </property>
        <property name="healthReportType" type="java.lang.Integer">
            <column name="health_report_type" length="11">
                <comment></comment>
            </column>
        </property>
        <property name="healthEndpoint" type="java.lang.String">
            <column name="health_endpoint" length="50">
                <comment></comment>
            </column>
        </property>
        <property name="metricsReportType" type="java.lang.Integer">
            <column name="metrics_report_type" length="11">
                <comment></comment>
            </column>
        </property>
        <property name="metricsEndpoint" type="java.lang.String">
            <column name="metrics_endpoint" length="50">
                <comment></comment>
            </column>
        </property>
        <property name="valid" type="java.lang.Integer">
            <column name="valid" length="11">
                <comment>是否有效</comment>
            </column>
        </property>
        <property name="requestFormat" type="java.lang.String">
            <column name="request_format" length="255">
                <comment>输入格式</comment>
            </column>
        </property>
        <property name="appId" type="java.lang.String">
            <column name="app_id" length="64">
                <comment>应用ID</comment>
            </column>
        </property>
        <property name="createDate" type="java.util.Date">
            <column name="create_date" length="10">
                <comment>创建时间</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
